<?php
include_once("../../connection/setting_jaldhi_class.php");
include_once("../../includes/env.php");

$lat 		= $_GET['lat'];
$lng 		= $_GET['lng'];
$radius 	= $_GET['radius'];
$navstatus 	= $_GET['navstatus'];

$obj 		= new clsSettings();
$connect	= $obj->funConnectMysqli();

if ($lat && $lng && $radius > 0) {
	$curl = curl_init();

	curl_setopt_array($curl, array(
		CURLOPT_URL => $vesselWithInRangeUrl . '?Lat=' . $lat . '&Lon=' . $lng . '&Km=' . $radius . (($navstatus) ? '&NavStatus=' . $navstatus : ''),
		CURLOPT_RETURNTRANSFER => true,
		CURLOPT_ENCODING => '',
		CURLOPT_MAXREDIRS => 10,
		CURLOPT_TIMEOUT => 0,
		CURLOPT_FOLLOWLOCATION => true,
		CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
		CURLOPT_CUSTOMREQUEST => 'GET',
		CURLOPT_HTTPHEADER => array(
			'Authorization: Bearer ' . $vesselPositionToken
		),
	));

	$response = curl_exec($curl);

	curl_close($curl);

	echo $response;
}
